export-csv
Access the Export CSV API to retrieve and download answers from forms submitted by clients or patients.
Capabilities
- List Export Answers: Retrieve a list of all form exports available to your team.
- Export a Form's Answers: Export detailed answers from a specific form in multiple formats:
json: Full export in structured format (default)raw_text: CSV content as plain textdownload_file: Direct download as.csvfile
Usage
- Use the
GET /export-csvendpoint to list available exports. - Use the
POST /export-csvendpoint with a valididto generate and download/export a specific result. - Use the
typequery parameter to define the export format.
Example
curl --request POST \
--url https://api.app.zentake.com/v2/export-csv?type=raw_text \
--header 'X-API-KEY: <your_api_key>' \
--header 'X-API-SECRET: <your_api_secret>' \
--data '{"id": "<export_id>"}'
Get all export answers
### Example:
Export answers to CSV file.
### Example: